Package org.eclipse.emf.cdo.expressions

## Interface LinkedObject

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `EObject`, `Expression`, `Notifier`
  All Known Implementing Classes:
    `LinkedObjectImpl`

      public interface LinkedObject
      extends Expression

  A representation of the model object 'Object Value'.

  The following features are supported:

  - `Object`
  See Also:
    `ExpressionsPackage.getLinkedObject()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EObject` | `getObject()` | Returns the value of the 'Object' reference.
    `void` | `setObject​(EObject value)` | Sets the value of the '`Object`' reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getObject

          EObject getObject()

      Returns the value of the 'Object' reference.

      If the meaning of the 'Object' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Object' reference.
      See Also:
        `setObject(EObject)`, `ExpressionsPackage.getLinkedObject_Object()`
      Generated
      Model

    - #### setObject

          void setObject​(EObject value)

      Sets the value of the '`Object`' reference.
      Parameters:
        `value` - the new value of the 'Object' reference.
      See Also:
        `getObject()`
      Generated